{
  "name": "@plateg/cockpit",
  "version": "9.0.15",
  "description": "Plattform Cockpit",
  "license": "UNLICENSED",
  "scripts": {
    "build": "npm run webpack:build",
    "commit-msg": "commitlint",
    "coverage": "cross-env NODE_ENV=test nyc mocha",
    "cucumber": "cross-env NIGHTWATCH_ENV=chrome cucumber-js tests/cucumber/features/**/*.feature --require cucumber.conf.js --require tests/cucumber/step-definitions --format @cucumber/pretty-formatter --format json:.reports/cucumber/report.json",
    "e2e": "nightwatch",
    "format": "prettier --check {src,tests}/** --end-of-line auto --ignore-unknown --no-error-on-unmatched-pattern",
    "formatw": "prettier --write {src,tests}/** --end-of-line auto --ignore-unknown --no-error-on-unmatched-pattern",
    "lint": "eslint src --ext .html,.js,.json,.jsx,.ts,.tsx --no-error-on-unmatched-pattern",
    "pre-commit": "lint-staged",
    "owasp": "owasp-dependency-check --project \"plateg-egesetzgebung-cockpit\" -f XML -f JSON -f HTML",
    "prepare:husky": "husky install",
    "reinstall": "npm run remove && npm install",
    "remove": "rm -rf node_modules package-lock.json",
    "select-backend:dev": "perl -pi -e \"s|export const BASE_PATH = servers....getUrl..;|export const BASE_PATH = servers[1].getUrl();|\" node_modules/@plateg/rest-api/runtime.ts",
    "select-backend:local": "perl -pi -e \"s|export const BASE_PATH = servers....getUrl..;|export const BASE_PATH = servers[2].getUrl();|\" node_modules/@plateg/rest-api/runtime.ts",
    "serve": "npm run webpack:serve",
    "start": "npm run webpack:start",
    "start:dev": "npm run select-backend:dev && npm run webpack:serve_local",
    "start:light": "npm run webpack:start_light",
    "start:local": "npm run select-backend:local && npm run webpack:serve_local",
    "test": "cross-env NODE_ENV=test mocha",
    "update": "ncu -t minor -u && npm install && ncu",
    "webpack:build": "cross-env NODE_ENV=production webpack",
    "webpack:serve": "cross-env NODE_ENV=development webpack serve ./src/main.ts --devtool=source-map",
    "webpack:serve_light": "cross-env NODE_ENV=development webpack serve ./src/main_light.ts --devtool=source-map",
    "webpack:serve_local": "cross-env NODE_ENV=development webpack serve ./src/main.ts --devtool=source-map --port=8082",
    "webpack:start": "npm run webpack:serve -- --open",
    "webpack:start_light": "npm run webpack:serve_light -- --open"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "{src,tests}/**/*.{html,js,json,jsx,ts,tsx,gql,graphql}": [
      "eslint"
    ],
    "{src,tests}/**": [
      "prettier --check"
    ]
  },
  "dependencies": {
    "@plateg/administration": "^9.0.4",
    "@plateg/cockpit": "file:",
    "@plateg/editor": "9.0.9",
    "@plateg/egfa": "^9.0.6",
    "@plateg/enorm": "^9.0.5",
    "@plateg/evir": "^9.0.4",
    "@plateg/evor": "^9.0.4",
    "@plateg/ggp": "^9.0.7",
    "@plateg/period-calculator": "^9.0.3",
    "@plateg/print": "^9.0.3",
    "@plateg/rest-api": "^9.0.4",
    "@plateg/rv": "^9.0.17",
    "@plateg/theme": "9.0.10",
    "@plateg/ueberweisung": "^9.0.3",
    "@plateg/umlauf": "^9.0.3",
    "@plateg/working-aids": "^9.0.3",
    "@react-keycloak/web": "^3.4.0",
    "@types/uuid": "^9.0.8",
    "antd": "5.20.6",
    "date-fns": "^2.30.0",
    "date-fns-tz": "^1.3.8",
    "file-saver": "^2.0.5",
    "focus-trap-react": "^10.2.3",
    "i18next": "^21.10.0",
    "keycloak-js": "^23.0.7",
    "react": "^18.3.1",
    "react-autosave": "^0.4.4",
    "react-dom": "^18.3.1",
    "react-i18next": "^11.18.6",
    "react-router": "^5.3.4",
    "react-router-dom": "^5.3.4",
    "rxjs": "^7.8.1",
    "sanitize-filename": "^1.6.3",
    "uuid": "^9.0.1"
  },
  "devDependencies": {
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@babel/preset-react": "^7.24.7",
    "@babel/preset-typescript": "^7.24.7",
    "@babel/register": "^7.24.6",
    "@leanup/cli-core-babel": "1.3.54",
    "@leanup/stack": "1.3.54",
    "@leanup/stack-react": "1.3.54",
    "@leanup/stack-webpack": "1.3.54",
    "@types/react": "^18.3.5",
    "@types/react-dom": "^18.3.0",
    "@types/react-router": "^5.1.20",
    "@types/react-router-dom": "^5.3.3",
    "babel-plugin-istanbul": "^6.1.1",
    "babel-plugin-transform-import-ignore": "^1.1.0",
    "esquery": "^1.6.0",
    "file-loader": "^6.2.0",
    "html-loader": "^3.1.2",
    "owasp-dependency-check": "^0.0.23",
    "prettier": "^3.3.3",
    "tslib": "^2.7.0",
    "typescript": "^4.9.5"
  },
  "files": [
    "/dist/",
    "/index.ts",
    "/WEB-INF/"
  ]
}
